Bug 126194 - xDSL should be DEVICETYPE=ppp
Summary: xDSL should be DEVICETYPE=ppp
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-17 10:49 UTC by Charles Lopes
Modified: 2014-03-17 02:46 UTC (History)
1 user (show)

Fixed In Version: 7.58-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-29 04:37:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch as mentioned in description (264 bytes, patch)
2004-06-17 10:51 UTC, Charles Lopes
no flags Details | Diff

Description Charles Lopes 2004-06-17 10:49:50 UTC
Description of problem:
DEVICETYPE should be set to ppp when TYPE is xDSL in
network-functions. Without that, DEVICE needs to be a string starting
with ppp to be recognized as a ppp device. Note that it doesn't make
much sense to have the DEVICE set to ppp0 (for example). If many ppp
devices are defined, ppp0 will be the first one started regardless of
what DEVICE is set too. AFAICT the only other use of that field is in
ip-up (or more precisely ip-up.local) scripts. In such case I would
like to use something other than ppp to distinguish between the
different types of connections (internet, tunnel, etc...) I define.
The change is quite trivial, but I'm attaching a diff just to clarify
what I mean.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Create a new xDSL
2. Set DEVICE to internet (for example)
3. ifup internet
  
Actual results:
The ppp connection is not started.


Expected results:
pppd started

Additional info:

Comment 1 Charles Lopes 2004-06-17 10:51:19 UTC
Created attachment 101214 [details]
patch as mentioned in description

Comment 2 Bill Nottingham 2004-06-29 04:37:29 UTC
Added in CVS, will be in 7.58-1.


Note You need to log in before you can comment on or make changes to this bug.